Package org.pgpainless.key.util

# Class RevocationAttributes

java.lang.Object
org.pgpainless.key.util.RevocationAttributes

public final class RevocationAttributes extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`RevocationAttributes.Reason`
Reason for revocation.
`static enum`
`RevocationAttributes.RevocationType`
`static final class`
`RevocationAttributes.WithDescription`
`static final class`
`RevocationAttributes.WithReason`

## Method Summary

Modifier and Type
Method
Description
`static RevocationAttributes.WithReason`
`createCertificateRevocation()`
Build a `RevocationAttributes` object suitable for certification (e.g.
`static RevocationAttributes.WithReason`
`createKeyRevocation()`
Build a `RevocationAttributes` object suitable for key revocations.
`String`
`getDescription()`
Return the human-readable description for the revocation reason.
`RevocationAttributes.Reason`
`getReason()`
Return the machine-readable reason for revocation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getReason

@Nonnull public RevocationAttributes.Reason getReason()
Return the machine-readable reason for revocation.

Returns:
  reason

### getDescription

@Nonnull public String getDescription()
Return the human-readable description for the revocation reason.

Returns:
  description

### createKeyRevocation

public static RevocationAttributes.WithReason createKeyRevocation()
Build a `RevocationAttributes` object suitable for key revocations. Key revocations are revocations for keys or subkeys.

Returns:
  builder

### createCertificateRevocation

public static RevocationAttributes.WithReason createCertificateRevocation()
Build a `RevocationAttributes` object suitable for certification (e.g. user-id) revocations.

Returns:
  builder